@import "src/styles/constans";
@import "src/styles/mixin";

.summaryContainer {
  width: 35%;
}

.summary {
  width: 100%;
  border: 3px solid $white;

  margin: 25px 0;

  & .summaryTitle {
    width: 100%;

    & .title {
      padding: 25px 15px;

      & h3 {
        font-size: $title_22\30;
        text-transform: uppercase;
        font-weight: $bold;
        letter-spacing: 0.06em;
        opacity: 0.6;
      }

      & p {
        font-size: $title_22\30;
        text-transform: uppercase;
        font-weight: $bold;
        letter-spacing: 0.06em;
        line-height: 36px;
        opacity: 0.6;
      }
    }
  }

  & .summaryButton {
    padding: 25px 15px;
    @include flexCenter;

    & button {
      margin: 0;
      width: 100%;
      padding: 27px 24px 27px;
      background-color: $dark;
      color: white;
      font-weight: 500;
      font-size: 16px;
      line-height: 15px;
      letter-spacing: 0.06em;
      text-transform: uppercase;
      cursor: pointer;
    }

    & .pay {
      text-transform: capitalize;
      display: flex;
      justify-content: center;
      align-items: center;
      font-weight: 500;
      font-size: 25px;
      & i {
        color: white;
        font-size: 22px;
        margin-right: 5px;
      }
    }
    & .novaPay {
      font-weight: normal;
      font-size: 14px;
      cursor: not-allowed;
      background-color: #495057;
    }
  }
}


.descriptions {
  width: 100%;

  & div:nth-child(odd) {
    background-color: rgba(217, 217, 217, 0.1);
  }

  & div {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    & p {
      width: 50%;
      border-bottom: 2px solid $white;
      font-weight: 400;
      font-size: $title_16\24;
      line-height: 36px;
      letter-spacing: 0.06em;
    }

    & p:last-child {
      padding: 5px 0 6px 15px;
      border-left: 2px solid $white;
    }

    & p:first-child {
      display: flex;
      justify-content: flex-end;
      padding: 5px 15px 6px 0;
    }
  }
}

.disable {
  overflow: hidden;
  position: relative;
  cursor: wait;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 120rem;
    height: 100%;
    border-radius: inherit;
    cursor: wait;
    background: #495057 repeating-linear-gradient(
                    60deg,
                    transparent,
                    transparent 0.75rem,
                    rgba(11, 177, 127, 0.5) 0.75rem,
                    rgba(11, 177, 127, 0.5) 1.5rem
    );

    animation: move 1s infinite linear;
  }

  & .disableText {
    width: 100%;
    height: 42px;
    position: relative;
    z-index: 1;
    cursor: wait;
    color: #F8F8F8;
  }
}



@keyframes move {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-1.75rem);
  }
}